##### basic_waitable_timer::basic_waitable_timer (5 of 8 overloads)

Constructor to set a particular expiry time relative to now.

    basic_waitable_timer(
        const executor_type & ex,
        const duration & expiry_time);

This constructor creates a timer and sets the expiry time.

###### Parameters

ex

  The I/O executor that the timer will use, by default, to dispatch handlers for any asynchronous operations performed on the timer.

expiry_time

  The expiry time to be used for the timer, relative to now.